declare type HeaderMap = {
    [key: string]: string;
};
declare type RequestHeaderInterceptor = (headers: HeaderMap) => void | Promise<void>;
declare type ResponseHeaderInterceptor = (headers: Readonly<HeaderMap>) => void | Promise<void>;
export declare function setRequestHeaderInterceptor(_: RequestHeaderInterceptor): void;
export declare function setResponseHeaderInterceptor(_: ResponseHeaderInterceptor): void;
export declare function ajax<TRequest, TResponse>(method: string, path: string, pathParams: object, request: TRequest): Promise<TResponse>;
export declare function uri<Request>(path: string, request: Request): string;
export declare function urlParams(path: string, params: object): string;
export declare function queryString(params: {
    [key: string]: any;
} | null | undefined): string;
export {};
